-- A small additional stub to keep Selene from complaining about playdate being missing.
-- Strictly, just putting `playdate = {}` would alleviate these warnings, but I've also
-- found that this quick structure, *actually* prepended to __stub.lua can help
-- SumnekoLua (an IntelliJ plugin) better provide autocompletion.

-- selene: allow(unused_variable)
-- selene: allow(unscoped_variables)
playdate = {
	datastore = {},
    display = {},
    file = {},
    frameTimer = {},
    geometry = {},
    graphics = {},
    inputHandlers = {},
    json = {},
    keyboard = {},
    math = {},
    menu = {
    	item = {}
    },
    pathfinder = {},
    simulator = {},
    sound = {
    	sampleplayer = {}
    },
    string = {},
    table = {},
    timer = {},
    ui = {}
}